#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tagtool
Version		:	0.12.3
Release		:	17.2.0.rel%{?dist}
Summary		:	Ogg Vorbis and MP3 tag manager

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/tagtool/tagtool

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-desktop.patch
Patch1		:	%{name}-%{version}-DSOLink.patch

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	libvorbis
BuildRequires	:	libglade
BuildRequires	:	libogg
BuildRequires	:	id3lib-devel
BuildRequires	:	gcc

#-----------------------------------------------------------------------------
%description
Audio Tag Tool is a program to manage the information
fields in MP3 and Ogg Vorbis files.
 
It can be used to edit tags one by one, but the most
useful features are mass tag and mass rename.
These are designed to tag or rename hundreds of 
files at once, in any desired format. 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang	
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog NEWS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/preferences.dtd
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/*.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/TagTool.png
%{_datadir}/icons/hicolor/scalable/apps/TagTool.svg

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

%find_lang %{name}

%{__mkdir_p} %{buildroot}%{_datadir}/metainfo
cat > %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<!--
BugReportURL: https://github.com/tagtool/tagtool/issues/7
SentUpstream: 2014-09-18
-->
<application>
  <id type="desktop">tagtool.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Audio Tag Tool</name>
  <summary>Ogg Vorbis and MP3 tag manager</summary>
  <description>
    <p>
      Audio Tag Tool is a program to manage the information fields in MP3 and
      Ogg Vorbis files (commonly called 'tags').  It is available under the GNU
      General Public Licence (GPL).  Please send me any comments or bugs you
      find.
    </p>
    <p>
      Tag Tool can be used to edit tags one by one, but the most useful
      features are the ability to easily tag or rename hundreds of files at
      once, in any desired format.
    </p>
    <p>
      The interface is arranged into two sections, with the list of available
      files on the left and a set of tabs on the right. Each tab corresponds to
      one of the main operations Audio Tag Tool can do:
    </p>
    <ul>
      <li>Lets you edit the tags individually</li>
      <li>You can set the tags of multiple files at once</li>
      <li>The tag fields can be set to a fixed value, filled in from the file's name, or left alone</li>
      <li>Allows you to remove the tags from multiple files at once</li>
      <li>For MP3 files it lets you choose to remove only ID3v1 or ID3v2 tags</li>
      <li>You can rename multiple files at once and/or organize them into directories</li>
      <li>Generates playlists. Playlists can be sorted by file name or by any tag field</li>
    </ul>
    <p>
    The mass tag and mass rename features can handle filenames in any
    format thanks to an easily configurable format template.
    </p>
  </description>
  <!-- No screenshots :( -->
  <url type="homepage">https://github.com/tagtool/tagtool</url>
  <updatecontact>ms@ansta.lt</updatecontact>
</application>
EOF

#-----------------------------------------------------------------------------
%changelog
